数据提供商: Serpstat
查询某个域名的反向链接数量及域名排名(使用Serpstat工具)
$0.0025 / 次调用在 25 秒内响应
可以获取某个域名的资料统计信息,或者该域名及其所有子域名的综合资料:包括Serpstat给出的域名排名、引用域名的数量、反向链接的总数及其最近的变化情况、nofollow链接的比例,以及恶意来源的数量。只需提供域名,无需指定协议和路径,同时可以选择是否使用searchType。整个资料的所有数据统计结果;每次调用都会生成一组相应的数值。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Serpstat endpoint /v4/SerpstatBacklinksProcedure.getSummaryV2 on Glasser.bash
glasser run -p serpstat -e '/v4/SerpstatBacklinksProcedure.getSummaryV2' -i '{"query":"example.com","searchType":"domain_with_subdomains"}' --endpoint-version 3使用接口版本 3。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"serpstat","endpoint":"/v4/SerpstatBacklinksProcedure.getSummaryV2","input":{"query":"example.com","searchType":"domain_with_subdomains"},"endpoint_version":3}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 3,运行前请确认当前价格。
第 2 步尝试一个具体任务
研究相关外链来源时,可以查看与你的领域相关的网站的反向链接数据。
复制此提示词到你的 Agent,查找与你的领域相关的外链来源。
提示词
Use serpstat:/v4/SerpstatBacklinksProcedure.getSummaryV2 on Glasser.
Find linking sources relevant to my niche in the returned backlink data.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"query"
],
"properties": {
"query": {
"type": "string",
"pattern": "^(?!-)(?:[a-z0-9-]+\\.)+[a-z]{2,}$",
"maxLength": 253,
"minLength": 3
},
"searchType": {
"enum": [
"domain",
"domain_with_subdomains"
],
"type": "string"
}
},
"additionalProperties": false
}json
{
"query": "example.com",
"searchType": "domain_with_subdomains"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据 | 返回匹配数据时的价格。 | $0.0025 |
|---|---|---|
| 无匹配数据 | 数据提供商已响应,但没有匹配数据。 | $0.002 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |